language: cn
model_unique_abbr: speculation_area_confirm
version: 1.0
identification:
  docker_image_name: speculation_area_confirm:1.0
  model_name: 种植类型计算
  semantic: speculation area confirm
  description: 作物地块面积统计
  category_application: 通用基础型
  category_data:
  - 矢量数据
  keywords:
  - 物候

parameter_info:
  parameters:
  - arg_name: ' '
    visible: false
    param_type: param
    name: py文件
    description: py文件
    data_type: str
    data_semantic: py_file
    specification:
      default: 'SpeculationAreaConfirm.py'
  - arg_name: i
    param_type: input_data
    name: 输入矢量文件
    description: 地块矢量文件,里面为添加了作物置信度的地块矢量。
    data_type: shp
    data_semantic: area_with_crop_confid
  - arg_name: c
    param_type: input_data
    name: 配置文件
    description: 配置文件
    data_type: csv
    data_semantic: config
  - arg_name: z
    param_type: param
    name: 要进行的操作索引
    description: 要和配置文件的zw要对得上
    data_type: str
    data_semantic: zw_list
  - arg_name: t
    param_type: param
    name: 操作对应的面积阈值
    description: 操作对应的面积阈值，和z的数量要对得上
    data_type: str
    data_semantic: threshold

  - arg_name: o
    param_type: output_data
    name: 输出矢量文件
    description: 输出在目标目录一个调整过字段zw值的shp，和实际更改过的地块的统计面积的csv文件。
    data_type: shp
    data_semantic: area_with_area_confirm
application:
  domain: 物候
  objective: 物候数据连接
  link_models:
    preorder: []
    alternative: []
  dimension:
  - 二维
  timestep: []
  spatial_resolution: []
  spatial_reference: []
  mechanism: 将一个shp的zw_1，zw_2和zw_3初始化为0，然后根据输入的面积阈值threshold和操作索引zw将一些更高置信度的地块的zw_1，zw_2和zw_3进行赋值，被赋值的这些地块的面积会达到threshold，但会略微小于threshold。
operation:
  usage: 统计作物地块面积
  exec_example:
  - "docker run -v ￥PWD/project/data:/project/data project:1.0 --file /project/data/lines.tif --epsg 4326"
  output_display:
  - 文件，里面是添加了作物面积的地块矢量
 
technique:
  language: [Python]
  os: [Linux, Windows]
source:
  maintainer: Xingchen Fan
  organization: Institute of Geographic Sciences and Natural Resources Research
  contact: fanxc@lreis.ac.cn
  integrated_softwares: []
  references: []
